Skip to main content
GET
GoldRush SDK

Credit Cost

0.1 per call

Processing

Realtime
Estimate your monthly cost for this API using the Pricing Calculator.
Base cost is 0.1 credits (e.g. requests that return with status 200 but no items).Calls with no-logs cost 0.05 credits/item.Internal transactions are included in the response by using with-internal and cost 0.05 credits/item.
with-internal is supported on select EVM chains only. See Traces Support for the current list of supported chains.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form: Bearer <token>, where <token> is your GoldRush API Key.

Path Parameters

chainName
string
required

The chain name eg: eth-mainnet.

txHash
string
required

The transaction hash.

Query Parameters

quote-currency
string

The currency to convert. Supports USD, CAD, EUR, SGD, INR, JPY, VND, CNY, KRW, RUB, TRY, NGN, ARS, AUD, CHF, and GBP.

no-logs
boolean

Omit log events.

with-internal
boolean

Whether to include internal transfers/transactions.

with-input-data
boolean

Whether to include the transaction's input data, which is returned as input_data.method_id. Supported on a narrower set of chains than with-internal; returns a 501 where unsupported. Costs an extra 0.05 credits/item.

with-classification
boolean

Whether to include a human-readable classification of the transaction, such as a swap or a token transfer. Supported on the same chains as with-internal. Costs an extra 0.05 credits/item.

account-address
string

The address to classify the transaction for, when with-classification=true. If omitted, the transaction's from_address is used.

Response

200 - application/json

Successful response

updated_at
string<date-time>

The timestamp when the response was generated. Useful to show data staleness to users.

chain_id
integer

The requested chain ID eg: 1.

chain_name
string

The requested chain name eg: eth-mainnet.

chain_tip_height
integer

The latest block height of the blockchain at the time this response was provided.

chain_tip_signed_at
string<date-time>

The timestamp of the latest signed block at the time this response was provided.

items
object[]

List of response items.